Skip to main content
`Ctrl`+`K`

# DMStagGetStencilWidth

get elementwise stencil width

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagGetStencilWidth(DM dm, PetscInt *stencilWidth)

Not Collective

## Input Parameter

- dm - the `DMSTAG` object

## Output Parameter

- stencilWidth - stencil/halo/ghost width in elements

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagSetStencilWidth()`, `DMStagGetStencilType()`, `DMDAGetStencilType()`

## Level

beginner

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages